-- PowerDing
-- by Fraza
-- Edited by Anoyomouse for Affliction warlocks, Destruction Warlocks, and Demonology Warlocks, and Shadow priests

-- Initialize the Dongle object
local addon = DongleStub("Dongle-1.2"):New("PowerDing")

local power = 0

function addon:Ding()
	PlaySoundFile("Interface\\AddOns\\PowerDing\\Sounds\\Microwave.mp3")
end

function addon:UNIT_POWER(event, unit, powertype)
	if (unit == "player" and powertype == "HOLY_POWER") then
		if (UnitPower("player", 9) == 3) then
			if (power ~= 3) then
				addon:Ding()
			end
		end

		power = UnitPower("player", 9)
	end
	if (unit == "player" and powertype == "SOUL_SHARDS") then
		local newPower = UnitPower("player", 7);
		if (newPower > 0) then
			if (power < newPower) then
				addon:Ding()
			end
		end

		power = newPower
	end
	if (unit == "player" and powertype == "BURNING_EMBERS") then
		local maxEmbers = UnitPowerMax("player", 14, true) - 5;
		if (UnitPower("player", 14, true) == maxEmbers) then
			if (power ~= maxEmbers) then
				addon:Ding()
			end
		end

		power = UnitPower("player", 14, true)
	end
	if (unit == "player" and powertype == "DEMONIC_FURY") then
		local maxFury = UnitPowerMax("player", 15, true) - 50;
		if (UnitPower("player", 15, true) >= maxFury) then
			if (power < maxFury) then
				addon:Ding()
			end
		end

		power = UnitPower("player", 15, true)
	end
	if (unit == "player" and powertype == "SHADOW_ORBS") then
		if (UnitPower("player", 13) == 3) then
			if (power ~= 3) then
				addon:Ding()
			end
		end

		power = UnitPower("player", 13)
	end
end

-- functions for setting up the addon, slash commands etc
function addon:Initialize()
end

function addon:Enable()
	if select(2, UnitClass('player')) == "PALADIN" or select(2, UnitClass('player')) == "WARLOCK" or select(2, UnitClass('player')) == "PRIEST" then
		addon:RegisterEvent("UNIT_POWER")
	end
end

function addon:Disable()
end

